Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006501 [DCSS] Bug Report feature always 2013-01-06 17:21 2015-05-09 07:55
Reporter Amnesiac View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.11 ancient branch
Summary 0006501: Stupid behaviour of strong intelligent humanoids.
Description When you conjure a flame behind a weak monster and block it's way by yourself or another conjured flame strong monsters and bosses (even itelligent humanoids)still move in your direction and step into flames and stand there behind weak monsters until they burn to death. They should kill weak monsters or step outside the flame and only go through flames if nothing other then flames separate you and only if they'll make it trough without loosing too many HP (ofcourse you can place another flame in front of them to continue burning them and that would be realistic but only if they can move in your direction).

Of course, it's the only way to kill a boss for a weak wizard without a new book but it's irrational and not realistic. Instead, it would be better to give a wizard a new direct offence spell of 2nd or 3rd level(at least throw frost), because it's very frustrating to attack high level monsters with magic dart spell if you are not lucky to find a new offensive book when you play a pure wizard of Vehumeth(I somehow haven't tried sif muna so I don't know if he(she?) gives you books sooner). For example, it would be nice if vehumeth could give a book with 2-3lv offensive spell at **.... or ***...
Additional Information
Tags AI
Attached Files

- Relationships
related to 0006453closedMarvinPA auto_sacrifice missing on live 47 of options_guide.txt 
related to 0003448new AI keeps Crazy Yiuf trapped in lair behind dart trap 

-  Notes
(0020856)
mumra (developer)
2013-01-22 14:48

The issue you raise in the second paragraph seems to have been solved by New Vehumet.

As for the first paragraph, well yeah *sometimes* they'll step through the flames but I think at low health they will avoid that; and what are they supposed to do, stand there waiting for you to throw darts or meph clouds at them? Killing weak monsters to get them out of the way could be an interesting behaviour but I think it's a more marginal case.
(0020883)
Amnesiac (reporter)
2013-01-26 17:12
edited on: 2013-01-26 17:18

Re-read my post, please... They actualy "stand there waiting for you to throw darts" when they are at low HP, when they should run away, the way they do when you attack them over the water/lava and they just stand behind weak mobs, burning, as long as you want them to, when they just need to step outside, untill they'll be able to get to you. And the problem will be solved, you'll have to run away bacause you won't be able to kill a strong boss by withstanding few weak attacks of a weak monster. you get what I'm saying?

Or simpler, they just need to change places with monsters the way allied monsters do. They have enough strength to move weak monsters behind them, logically speaking.

(0029022)
PleasingFungus (administrator)
2015-05-09 07:55

Fixed in 560a70f2616.

- Issue History
Date Modified Username Field Change
2013-01-06 17:21 Amnesiac New Issue
2013-01-22 14:48 mumra Note Added: 0020856
2013-01-26 17:12 Amnesiac Note Added: 0020883
2013-01-26 17:12 Amnesiac Note Edited: 0020883
2013-01-26 17:13 Amnesiac Note Edited: 0020883
2013-01-26 17:13 Amnesiac Note Edited: 0020883
2013-01-26 17:14 Amnesiac Note Edited: 0020883
2013-01-26 17:17 Amnesiac Note Edited: 0020883
2013-01-26 17:18 Amnesiac Note Edited: 0020883
2013-01-26 17:18 Amnesiac Note Edited: 0020883
2013-03-15 06:22 mumra Issue Monitored: mumra
2013-05-26 09:37 mumra Relationship added related to 0006453
2013-05-26 09:39 mumra Tag Attached: AI
2013-05-30 14:54 mumra Relationship added related to 0003448
2015-05-09 07:55 PleasingFungus Note Added: 0029022
2015-05-09 07:55 PleasingFungus Status new => resolved
2015-05-09 07:55 PleasingFungus Fixed in Branch => 0.16 pre-release branch
2015-05-09 07:55 PleasingFungus Resolution open => done
2015-05-09 07:55 PleasingFungus Assigned To => PleasingFungus


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker